16 de febrero de 2019, 05:57:46 am

Autor Tema: Actualizar a la versión 3.1.  (Leído 3316 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado losalito

  • Usuario Completo
  • ***
  • Mensajes: 196
  • Karma: +9/-0
  • Software libre, que lo demás no importa nada!
Actualizar a la versión 3.1.
« : 24 de septiembre de 2015, 06:03:12 pm »
Ya se anunció la salida de Huayra 3.1.
Los que tenemos la versión 3.0, ¿cómo modificamos el archivo sources.list, para poder actualizar a la 3.1?
Saludos.

Desconectado Smith

  • Si no ayudas con el arca, tampoco ayudes con el diluvio.
  • Usuario Jr
  • **
  • Mensajes: 75
  • Karma: +14/-0
Re:Actualizar a la versión 3.1.
« Respuesta #1 : 24 de septiembre de 2015, 07:00:28 pm »

   Tengo entendido que con usar los siguientes comandos ya estaría para pasar de una versión a la otra en este caso 3.o -> 3.1, ya que esta basada en la misma versión de debian:
Código: [Seleccionar]
sudo apt-get update
Código: [Seleccionar]
sudo apt-get upgrade
Código: [Seleccionar]
sudo apt-get dist-upgrade
   Personalmente le agregaría para eliminar los paquetes obsoletos; en mi caso luego de estos comandos en aplicaciones al inicio algunas cosas se quedaron sin nombre, así que los eliminé:
Código: [Seleccionar]
sudo apt-get update
Código: [Seleccionar]
sudo apt-get autoremove
« Última Modificación: 24 de septiembre de 2015, 07:04:40 pm por Julio A. Gómez »
Futuro educador que en el camino conoció el #SoftwareLibre #SigamosLiberando

Desconectado losalito

  • Usuario Completo
  • ***
  • Mensajes: 196
  • Karma: +9/-0
  • Software libre, que lo demás no importa nada!
Re:Actualizar a la versión 3.1.
« Respuesta #2 : 24 de septiembre de 2015, 08:25:32 pm »
La verdad es que ya intenté con esos tres comandos y no se actualiza.
Les doy los datos de lo instalado en este equipo:
cat /etc/debian_version
stretch/sid

cat /etc/huayra_version
3.0
Saludos.

Desconectado sjlvanq

  • Usuario Jr
  • **
  • Mensajes: 53
  • Karma: +2/-0
Re:Actualizar a la versión 3.1.
« Respuesta #3 : 26 de septiembre de 2015, 12:16:49 pm »
, puede intentar con la nueva aplicación huayra-update
http://wiki.huayra.conectarigualdad.gob.ar/index.php/Huayra_Actualizaciones

Instalable desde el Gestor de Paquetes, Paquetes o Terminal de Mate con los comandos
Código: [Seleccionar]
sudo apt-get update
sudo apt-get install huayra-update

Los comandos que dice haber intentado sin resultado ¿indican algún error?
Saludos

Desconectado losalito

  • Usuario Completo
  • ***
  • Mensajes: 196
  • Karma: +9/-0
  • Software libre, que lo demás no importa nada!
Re:Actualizar a la versión 3.1.
« Respuesta #4 : 26 de septiembre de 2015, 02:35:34 pm »
$ sudo apt-get install huayra-update
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
E: No se ha podido localizar el paquete huayra-update

Te dejo como se encuentra editado mi sources.list
## Repositorio oficial de Debian GNU/Linux
deb http://httpredir.debian.org/debian testing main contrib non-free

## Repositorio de Huayra GNU/Linux
#deb http://repo.huayra.conectarigualdad.gob.ar/huayra/ sud main contrib non-free

## Repositorio de Huayra GNU/Linux (updates)
#deb http://repo.huayra.conectarigualdad.gob.ar/huayra/ sud-updates main contrib non-free

deb http://security.debian.org/ jessie/updates main contrib non-free
deb-src http://security.debian.org/ jessie/updates main contrib non-free

## Comunidad Huayra
#deb http://repositorio.comunidadhuayra.org/comhuayra huayra main contrib non-free
#deb-src http://repositorio.comunidadhuayra.org/comhuayra huayra main contrib non-free

Creo que el problema se encuentra alli.

Desconectado Pablo Zambrano

  • Curso: Radio
  • Usuario Sr.
  • *
  • Mensajes: 289
  • Karma: +36/-0
Re:Actualizar a la versión 3.1.
« Respuesta #5 : 26 de septiembre de 2015, 05:05:29 pm »
Hola, de Huayra no vas a poder instalar nada porque tenés deshabilitados los repos. Tendrías que quitar el símbolo # antes.
El repo de Huayra quedaría así:
Código: [Seleccionar]
## Repositorio de Huayra GNU/Linux
deb http://repo.huayra.conectarigualdad.gob.ar/huayra/ sud main contrib non-free

 Y las actualizaciones de Huayra:
Código: [Seleccionar]
## Repositorio de Huayra GNU/Linux (updates)
deb http://repo.huayra.conectarigualdad.gob.ar/huayra/ sud-updates main contrib non-free

Lo que es raro es que tengas los repos de Debian apuntando a Testing (que sería Stretch, no Jesssie).
Supongo que eso lo cambiaste en algún momento. Tener la rama Testing no es lo más recomendable, pueden haber conflictos a largo plazo. Cuando hiciste un dist-upgrade teniendo los repos de Testing, pasaste de estar en Debian Jessie a Debian Stretch (por eso la salida de cat /etc/lsb-release dice stretch). Quizás Huayra no pasó a 3.1 porque tenés los repos deshabilitados.

Como ya pasaste a Stretch no sé si vas a poder volver a Jessie, nunca hice un downgrade como para comentar algo al respecto.

Lo que si probé es hacer algo como tu caso, pasar Debian Jessie a Stretch y Huayra 3 a Huayra 3.1 Todo lo que probé funciona bien, pero eso no quita que en algún momento tenga problemas.

Si hacéś algún cambio te recomiendo backupear tus archivos antes, por las dudas (o tener un live a mano).

Saludos.

Desconectado losalito

  • Usuario Completo
  • ***
  • Mensajes: 196
  • Karma: +9/-0
  • Software libre, que lo demás no importa nada!
Re:Actualizar a la versión 3.1.
« Respuesta #6 : 26 de septiembre de 2015, 05:46:51 pm »
Gracias por orientarme sobre la distribución de Debian.
El tema de los repositorios anulados es en razón de que al hacer un apt-get update:

Leyendo lista de paquetes... Hecho
W: Duplicate sources.list entry http://repo.huayra.conectarigualdad.gob.ar/huayra/ sud/main i386 Packages (/var/lib/apt/lists/repo.huayra.conectarigualdad.gob.ar_huayra_dists_sud_main_binary-i386_Packages)
W: Duplicate sources.list entry http://repo.huayra.conectarigualdad.gob.ar/huayra/ sud/contrib i386 Packages (/var/lib/apt/lists/repo.huayra.conectarigualdad.gob.ar_huayra_dists_sud_contrib_binary-i386_Packages)
W: Duplicate sources.list entry http://repo.huayra.conectarigualdad.gob.ar/huayra/ sud/non-free i386 Packages (/var/lib/apt/lists/repo.huayra.conectarigualdad.gob.ar_huayra_dists_sud_non-free_binary-i386_Packages)
W: Duplicate sources.list entry http://repo.huayra.conectarigualdad.gob.ar/huayra/ sud-updates/main i386 Packages (/var/lib/apt/lists/repo.huayra.conectarigualdad.gob.ar_huayra_dists_sud-updates_main_binary-i386_Packages)
W: Duplicate sources.list entry http://repo.huayra.conectarigualdad.gob.ar/huayra/ sud-updates/contrib i386 Packages (/var/lib/apt/lists/repo.huayra.conectarigualdad.gob.ar_huayra_dists_sud-updates_contrib_binary-i386_Packages)
W: Duplicate sources.list entry http://repo.huayra.conectarigualdad.gob.ar/huayra/ sud-updates/non-free i386 Packages (/var/lib/apt/lists/repo.huayra.conectarigualdad.gob.ar_huayra_dists_sud-updates_non-free_binary-i386_Packages)
W: Tal vez deba ejecutar «apt-get update» para corregir estos problemas

Buscando solucionar el problema me recomendaron colocar los numerales.
Si alguien puede publicar un archivo sources.list correcto se lo voy a agradecer.
Saludos y gracias por el interés.

Desconectado Pablo Zambrano

  • Curso: Radio
  • Usuario Sr.
  • *
  • Mensajes: 289
  • Karma: +36/-0
Re:Actualizar a la versión 3.1.
« Respuesta #7 : 26 de septiembre de 2015, 06:47:54 pm »
Seguramente tenés líneas duplicadas del repo de Huayra en alguna parte. En Huayra 3, dentro de la carpeta /etc/apt/ hay un archivo llamado sources.list el cual solo debe contener los repos de Debian. Si tiene líneas que hacen referencia a los repos de Huayra, quitalas. Sin miedo, porque las líneas de Huayra van en otro archivo, en otro lugar.

Dentro de la carpeta /etc/apt/sources.list.d/ hay un archivo llamado huayra.list en el cual van los repos de Huayra. Fijate que solo deben estar los repos de huayra (adjunto para que compares con el tuyo).
Dentro de la misma carpeta no deberían existir otros archivos, a menos que agregaras algo por tu cuenta. Si es así, fijate qué líneas contiene y que no tenga ninguna apuntando al repo de Huayra.

Saludos.

PD.: Si comentás nuevamente las líneas de Huayra, el problema desaparece, pero te quedás sin acceso a los repos de Huayra  :-\

Desconectado losalito

  • Usuario Completo
  • ***
  • Mensajes: 196
  • Karma: +9/-0
  • Software libre, que lo demás no importa nada!
Re:Actualizar a la versión 3.1.
« Respuesta #8 : 26 de septiembre de 2015, 10:05:15 pm »
Gracias por la ayuda, estoy cargando las lineas de los repos.
El sources.list.d en una net del PCI, no existía, así que lo copié y estoy actualizando.
Apenas tenga resultados, paso a avisar.

Desconectado losalito

  • Usuario Completo
  • ***
  • Mensajes: 196
  • Karma: +9/-0
  • Software libre, que lo demás no importa nada!
Re:Actualizar a la versión 3.1.
« Respuesta #9 : 30 de septiembre de 2015, 03:56:20 pm »
Finalmente no se actualizó a la 3.1 debido que se me coló en algún momento debian strech/sid, es por esto que no hubo vuelta atrás, así que tuve que instalar la versión 3.1 por medio de un pen booteable.
Saludos.
« Última Modificación: 02 de octubre de 2015, 10:48:09 am por losalito »

Desconectado Pablo Zambrano

  • Curso: Radio
  • Usuario Sr.
  • *
  • Mensajes: 289
  • Karma: +36/-0
Re:Actualizar a la versión 3.1.
« Respuesta #10 : 30 de septiembre de 2015, 04:14:49 pm »
Qué macana!  :(  Claro, el problema apareció al hacer el upgrade con los repos de Stretch.
Te dejo un tip, tanto para antes de instalar aplicaciones como de actualizar, se trata de simularlo sin hacer cambios.Por ejemplo para un dist-upgrade sería:

Código: [Seleccionar]
apt-get -s dist-upgrade
Esto se ejecuta como usuario normal (sin ser root y sin sudo, así como está). El tip es agregarle el "-s" después de "apt-get" para que lo simule.

Para instalar aplicaciones es lo mismo. Por ejemplo quiero instalar python3, python3-pyqt5 y python3-pyqt5.qtwebkit. Entonces sería:

Código: [Seleccionar]
apt-get -s install python3 python3-pyqt5 python3-pyqt5.qtwebkit
Espero sea de utilidad.
Saludos.